/*
 * Oscar - Open Service Container ARchitecture.
 * An implementation of the Open Services Gateway Initiative (OSGi).
 * Copyright (C) 2002  Richard S. Hall
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Contact: Richard S. Hall (heavy@ungoverned.org)
 * Contributor(s):
 *
**/
package org.ungoverned.osgi.bundle.httpadmin.util;

import java.io.IOException;
import java.io.PrintWriter;

/**
 * A simple utility class - helper for servlets
**/
public class Servlet
{
    private String infoTemplate;

    public Servlet() throws IOException
    {
        infoTemplate = Text.readTextResource(this, "info.html");
    }

    public void printInfoPage(String title, String message, PrintWriter writer)
    {
        String tmp = infoTemplate;
        tmp = Text.replaceString(tmp, "$TITLE", title);
        tmp = Text.replaceString(tmp, "$MESSAGE", message);
        writer.println(tmp);
        writer.flush();
    }

    public void printErrorPage(String message, PrintWriter writer)
    {
        printInfoPage("Error!", message, writer);
    }

    public void printWarningPage(String message, PrintWriter writer)
    {
        printInfoPage("Warning!", message, writer);
    }
}
